part of 'verify_phone_bloc.dart';

@freezed
class VerifyPhoneEvent with _$VerifyPhoneEvent {
  const factory VerifyPhoneEvent.started() = _Started;

  const factory VerifyPhoneEvent.verifyPhoneRegister(
    VerifyPhoneNumberParams params,
  ) = _VerifyPhoneRegister;

  const factory VerifyPhoneEvent.verifyPhoneReset(
    VerifyPhoneNumberParams params,
  ) = _VerifyPhoneReset;
}
